<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Форма добаления/редактирования единиц измерения.
 * 
 * Файл: /admin/shop/action/form_edit_add_mesures.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
if (isset($id)) 
{
	$edit_mesures = to_int($id);
}
else 
{
	$edit_mesures = 0;
}
$form_params = array();
$form_params['title'] = $edit_mesures==0?$GLOBALS['MSG_shops']['mesures_add_form_title']:$GLOBALS['MSG_shops']['mesures_edit_form_title'];
$form_params['form_attribs']['method'] = 'post';
$form_params['form_attribs']['action'] = '/admin/shop/shop.php';
$form_params['form_attribs']['name'] = 'EditAddMesures';

$admin_forms_fields = new admin_forms_fields();

$shop = & singleton('shop');

$new_path_array[] = array(
'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', '', 54, 'load_data'),
'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', '', 54, 'load_data'),
'name' => $GLOBALS['MSG_shops']['header_admin__list_forms']);

$new_path_array[] = array(
'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', '', 62, 'load_data'),
'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', '', 62, 'load_data'),
'name' => $GLOBALS['MSG_shops']['mesures_add_form_link']);

// Передаем в массив для констурктора хлебные крошки
$form_params['path_array'] = $new_path_array;

$admin_forms_fields->admin_forms_fields($form_params);

$DataBase = & singleton('DataBase');

// Редактировние налога
if ($edit_mesures)
{
	$type = 1;

	$result = $shop->GetMesure($edit_mesures);
	
	$shop_mesures_name = $result['shop_mesures_name'];
	
	$shop_mesures_description = $result['shop_mesures_description'];
}
// Добавление налога
else
{
	$shop_mesures_name = '';
	
	$shop_mesures_description = '';
}


// Параметры.
$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab']);


// Имя еденицы измерения
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'mesures_name';
$param['caption'] = $GLOBALS['MSG_shops']['mesures_add_form_name'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $shop_mesures_name;
$param['attributes']['class'] = 'large';
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 255;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);


// Описание еденицы измерения
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'mesures_description';
$param['caption'] = $GLOBALS['MSG_shops']['mesures_add_form_description'];
$param['type'] = 5; // textarea
$param['value'] = $shop_mesures_description;
$param['format']['minlen']['value'] = 1;
$param['attributes']['rows'] = 10;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);


// передеам скрытое поле с идентификатором адреса если он есть
if ($edit_mesures)
{
	$param = array();
	$param['tab_id'] = $tab_id;
	$param['name'] = 'edit_mesures';
	$param['caption'] = '';
	$param['type'] = 4; // hidden.
	$param['value'] = $edit_mesures;
	$admin_forms_fields->AddField($param);
}

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'action';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = 'show_mesures';
$admin_forms_fields->AddField($param);

// Кнопка "Сохранить".
$param = array();
$param['name'] = 'save_mesures';
$param['caption'] = $GLOBALS['MSG_shops']['save'];
$param['attributes']['onclick'] = "return SendForm('{$admin_forms_fields->GetWindowId()}', '{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'button';
$admin_forms_fields->AddButton($param);

// Кнопка "Применить".
$param = array();
$param['name'] = 'add_mesures';
$param['caption'] = $GLOBALS['MSG_shops']['apply'];
$param['image'] = '/admin/images/add.gif';
$param['attributes']['onclick'] = "return SendForm('{$admin_forms_fields->GetWindowId()}', '{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'submit';
$admin_forms_fields->AddButton($param);

// Отображение формы.
$admin_forms_fields->ShowForm();
?>